Subject: Re: [Bitcoin-development] Finite monetary supply for Bitcoin

From: Wladimir <[email-masked]>
Date: Fri, 4 Apr 2014 09:01:48 +0200

On Fri, Apr 4, 2014 at 5:41 AM, kjj <[email-masked]> wrote:

> Matt Whitlock wrote:
> > The creation date in your BIP header has the wrong format. It should be
> 01-04-2014, per BIP 1.
> >
> At first, I thought this was a second April Fool's joke, but then I
> looked and saw that all of the BIPs really do use this format.  As far
> as I can tell, we are using this insane format because RFC 822 predates
> ISO 8601 by half a decade.
>
> Since we don't have half a gajillion mail servers to patch, we could, if
> we desired, adopt a sensible date format here.  The cost to the
> community would be minimal, with probably not more than a half dozen
> people needing to update scripts.  It could even be as simple as one guy
> running sed s/parseabomination/parsedate/g
>

BIPs were based on Python PIPs, PIPs use this same ordering but spell out
the month like '1-Oct-2000'. This is slightly more readable than our format.

http://legacy.python.org/dev/peps/pep-0453/

But to make it more confusing they have two different date conventions
within the header (one for the modified date, and one for the created date).

Personally I'd prefer to standardize on ISO 8601 (YYYY-MM-DD) dates as well.

Feel free to submit a pull against bips/bips that changes around the dates.

Wladimir